Update a connection (step 2)
put
/v1/connections/{uuid}/step2
🔐 Authentication
X-TOKEN Token generated for a UI session
Header parameter: X-TOKEN
📤 Request

uuid
string
required
uuid

The UUID of the connection that should be updated.

Example: 3598b23c-31db-4be9-9e6b-6aa1d5b60335

Content Type: application/json
fields object

Fields required by the integration from step 2. The fields are different for each integration and provided as a key-value pair, using the field id as key and the user input as value

Example: { "path": "foo/bar/" }
isUpdateFlow boolean

Indicates whether this is an update flow or a new connection

Example: true
Request Example
📥 Response
200 Updated and requires additional OAuth flow
Content Type:
204 No Content (Success)
401 Unauthorized Error
Content Type:
403 Forbidden
Content Type:
404 Not Found
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples